Skills API
Skill Reviews
Get and submit user reviews for a marketplace skill.
GET
/
api
/
v1
/
skills
/
{id}
/
reviews
Skill Reviews
curl --request GET \
--url https://api.example.com/api/v1/skills/{id}/reviews \
--header 'Content-Type: application/json' \
--data '
{
"rating": 123,
"body": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/skills/{id}/reviews"
payload = {
"rating": 123,
"body": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({rating: 123, body: JSON.stringify('<string>')})
};
fetch('https://api.example.com/api/v1/skills/{id}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get user reviews for a skill, or submit your own rating.
Returns an array of review objects with
Authentication
Requires a Bearer token. See Authentication.Path Parameters
The skill UUID.
List Reviews (GET)
curl https://www.hitheo.ai/api/v1/skills/skill_abc123/reviews \
-H "Authorization: Bearer $THEO_API_KEY"
rating (1–5), body, authorUserId, and createdAt.
Submit a Review (POST)
Rating from 1 to 5.
Review text (max 2,000 characters).
curl -X POST https://www.hitheo.ai/api/v1/skills/skill_abc123/reviews \
-H "Authorization: Bearer $THEO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"rating": 5, "body": "Great skill, saves hours of work!"}'
Endpoint
GET /api/v1/skills/{id}/reviews
Requires authentication via Bearer token. See Authentication.Was this page helpful?
⌘I
Skill Reviews
